PutExecutor (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.PutExecutor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class PutExecutor

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SetExecutor
          org.apache.velocity.runtime.parser.node.PutExecutor

public class PutExecutor
extends SetExecutor

Executor that simply tries to execute a put(key, value) operation. This will try to find a put(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Since:
  1.5
Version:
  $Id: PutExecutor.java 687177 2008-08-19 22:00:32Z nbubna $
Author:
  Jason van Zyl, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SetExecutor
`log`

Constructor Summary
`PutExecutor(Log log, Introspector introspector, Class clazz, Object arg, String property)`

Method Summary
`protected void` | `discover(Class clazz, Object arg)`
`Object` | `execute(Object o, Object value)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.SetExecutor
`getMethod, isAlive, setMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutExecutor

    public PutExecutor(Log log,
                       Introspector introspector,
                       Class clazz,
                       Object arg,
                       String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `arg` -
  `property` -

Method Detail

### discover

    protected void discover(Class clazz,
                            Object arg)

  Parameters:
    `clazz` -
    `arg` -

### execute

    public Object execute(Object o,
                          Object value)
                   throws IllegalAccessException,
                          InvocationTargetException

  Description copied from class: `SetExecutor`
  Execute method against context.

  Specified by:
    `execute` in class `SetExecutor`
  Parameters:
    `o` -
    `value` -
  Returns:
    The result of the invocation.
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`
  See Also:
    `SetExecutor.execute(java.lang.Object, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.